Bug 812726 - "lvcreate -l 100%FREE -T vg/thin-pool" returns error
"lvcreate -l 100%FREE -T vg/thin-pool" returns error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
18
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Zdenek Kabelac
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 998347 1003496
  Show dependency treegraph
 
Reported: 2012-04-16 01:59 EDT by Xiaowei Li
Modified: 2015-01-26 19:10 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 998347 (view as bug list)
Environment:
Last Closed: 2014-02-05 17:45:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaowei Li 2012-04-16 01:59:16 EDT
Description of problem:
when invoking "lvcreate -l 100%FREE -T vg/thin-pool", lvm should allocate all the free PE to the thin pool ( 1 PE for metadata, others for data block ).


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps:
# vgdisplay vg3
  --- Volume group ---
  VG Name               vg3
  System ID             
  Format                lvm2
  Metadata Areas        1
  Metadata Sequence No  1
  VG Access             read/write
  VG Status             resizable
  MAX LV                0
  Cur LV                0
  Open LV               0
  Max PV                0
  Cur PV                1
  Act PV                1
  VG Size               1020.00 MiB
  PE Size               4.00 MiB
  Total PE              255
  Alloc PE / Size       0 / 0   
  Free  PE / Size       255 / 1020.00 MiB
  VG UUID               X8FHfz-ezqW-FIaW-A0Dx-uPnX-bUPl-k3Meez
   
#lvcreate -l 100%FREE -T vg3/pool
  Rounding up size to full physical extent 4.00 MiB
  Insufficient suitable allocatable extents for logical volume pool: 255 more required

Actual results:
"lvcreate -l 100%FREE -T vg3/pool" return error


Expected results:
should create 255 PE to the thin pool and 254 PE as the data block.


Additional info:
Comment 1 Xiaowei Li 2012-04-16 02:01:07 EDT
The 100%FREE option works well to create a liner volume so should also work well to create the thin pool.

[root@laker ~]# lvcreate -l 100%FREE -n vg3/lv
  Logical volume "lv" created
[root@laker ~]# lvs vg3
  LV   VG   Attr     LSize    Pool Origin Data%  Move Log Copy%  Convert
  lv   vg3  -wi-a--- 1020.00m
Comment 2 Xiaowei Li 2012-04-16 02:03:42 EDT
please ignore '( 1 PE for metadata, others for data block )' in 'DESCRIPTION' field.
Comment 3 Alasdair Kergon 2012-04-16 11:39:09 EDT
Yes, we ought to fix this one.
Comment 4 joshua 2012-09-25 18:15:37 EDT
Is this still an issue in F18 Alpha1?
Comment 5 Xiaowei Li 2012-09-27 03:03:59 EDT
(In reply to comment #4)
> Is this still an issue in F18 Alpha1?

Yes, it still exists in lvm2-2.02.97-1.fc18.x86_64
Comment 6 Fedora End Of Life 2013-12-21 10:01:49 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 17:45:37 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.